#!/bin/bash
#
# Last update: 2020.11.26
# URL : https://docs.cloudlinux.com/index.html?detect_users_php_version.html

# 執行過 /opt/cpinst/jacky_script/view_all_account_php_version_new.sh 程式，會將相關資訊存放以下路徑
# 帳號資訊存放 : /tmp/account.txt
# 版本資訊存放 : /tmp/version.txt

# 將檔案內資料變成陣列
mapfile account < /tmp/account.txt

if [ -z "$1" ]
then
    echo "請於指令後面加上空格與版本"
    echo "例如: change_user_php_version_new.sh 5.3"
    exit
fi

# 定義PHP版本變數
php_version="$1"

# 利用 for 將檔案內帳號，執行指令更改為正確的PHP版本
for ((i=0; i < ${#account[@]}; i++))
do
selectorctl --set-user-current=${php_version} --user=${account[${i}]}

# 如果PHP版本設定成5.2，啟用對應的extensions
if [ ${php_version} == "5.2" ]; then
selectorctl --enable-user-extensions=bcmath,dom,eaccelerator,fileinfo,gd,imagick,imap,intl,ioncube_loader,json,mbstring,mcrypt,memcache,memcached,mysql,mysqli,pdo,pdo_mysql,pdo_sqlite,phar,posix,soap,sockets,xmlreader,xmlrpc,xmlwriter,xsl,zip --version=${php_version} --user=${account[${i}]}
fi

# 如果PHP版本設定成5.3，啟用對應的extensions
if [ ${php_version} == "5.3" ]; then
selectorctl --enable-user-extensions=bcmath,dom,eaccelerator,fileinfo,gd,imagick,imap,intl,ioncube_loader,json,mbstring,mcrypt,memcache,memcached,mysql,mysqli,mysqlnd,pdo,pdo_mysql,pdo_sqlite,phar,posix,soap,sockets,xmlreader,xmlrpc,xmlwriter,xsl,zend_guard_loader,zip --version=${php_version} --user=${account[${i}]}
fi

# 如果PHP版本設定成5.4，啟用對應的extensions
if [ ${php_version} == "5.4" ]; then
selectorctl --enable-user-extensions=bcmath,dom,eaccelerator,fileinfo,gd,imagick,imap,intl,ioncube_loader,json,mbstring,mcrypt,memcache,memcached,mysqli,opcache,pdo,pdo_mysql,pdo_sqlite,phar,posix,snmp,soap,sockets,suhosin,,tidy,wddx,xmlreader,xmlrpc,xmlwriter,xsl --version=${php_version} --user=${account[${i}]}
fi

# 如果PHP版本設定成5.5，啟用對應的extensions
if [ ${php_version} == "5.5" ]; then
selectorctl --enable-user-extensions=bcmath,dom,fileinfo,gd,imagick,imap,intl,ioncube_loader,json,mbstring,mcrypt,memcache,memcached,mysqli,opcache,pdo,pdo_mysql,pdo_sqlite,phar,posix,snmp,soap,sockets,suhosin,tidy,wddx,xmlreader,xmlrpc,xmlwriter,xsl,zip --version=${php_version} --user=${account[${i}]}
fi

# 如果PHP版本設定成5.6，啟用對應的extensions
if [ ${php_version} == "5.6" ]; then
selectorctl --enable-user-extensions=bcmath,dom,fileinfo,gd,imagick,imap,intl,ioncube_loader,json,mbstring,mcrypt,memcache,memcached,mysqli,opcache,pdo,pdo_mysql,pdo_sqlite,phar,posix,snmp,soap,sockets,suhosin,tidy,wddx,xmlreader,xmlrpc,xmlwriter,xsl,zip --version=${php_version} --user=${account[${i}]}
fi

# 以下為 reset extensions 方式，紀錄用
#selectorctl --reset-user-extensions --version=${php_version} --user=${account[${i}]}

#echo ${php_version}
#echo ${account[${i}]}

done

